Bug 735549 - Suspend fails on Lenovo S205 and x86_64
Summary: Suspend fails on Lenovo S205 and x86_64
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-03 12:57 UTC by René Stadler
Modified: 2012-07-11 17:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 17:49:13 UTC


Attachments (Terms of Use)

Description René Stadler 2011-09-03 12:57:33 UTC
Description of problem:

  Suspend doesn't work on my Lenovo ideapad S205 (AMD E-350, RadeonHD 6310).

Version-Release number of selected component (if applicable):

  Fedora 15

How reproducible:

  Always.

Steps to Reproduce:
  1. Put device into suspend by closing the lid, special key or pm-suspend command.
  
Actual results:

  Screen turns off, but the fan doesn't shut down and the power LEDs stay on. Pressing the power button or any other key has no effect. Device has to be shut down by holding the power key for some seconds.


Expected results:

  Fan should turn off and power LEDs should start blinking.

Additional info:

  This works fine on the same machine with Fedora 15 i686 version.

  I'm not sure if the suspend works and it fails to wake up only. I guess the Caps Lock light would help to indicate that, but this laptop doesn't have any.

  Live images behave exactly like the installed system.

Comment 1 Björn Ruberg 2011-11-04 17:15:02 UTC
I wonder if this is a problem in concunction with this:
https://bugzilla.redhat.com/show_bug.cgi?id=748210

Turning off the screen can cause the kernel panic that lets suspend fail.

I had suspend working on the machine with Fedora 15 and x86_64 when using grub-legacy. But I was not able to get it working with Fedora 16 yet.

Comment 2 René Stadler 2011-11-13 12:23:03 UTC
I re-installed F16 x86_64 on my S205, and now suspend works!

Not sure if this got fixed in a kernel update to F15 already, since I had been running 32-bit as a workaround.

Comment 3 Björn Ruberg 2011-11-27 09:10:12 UTC
At least for Fedora 15 updated with a Kernel 2.6.41.1-1 I cannot confirm that. Upgrading to Fedora 16 right now. I hope the best.

Comment 4 Björn Ruberg 2011-11-27 11:12:33 UTC
For me it actually still does not suspend on Fedora 16.

Comment 5 Václav Mocek 2012-01-29 19:35:46 UTC
It fails in the final stage, it is possible to hear the parking of hardrive heads.

Comment 6 Josh Boyer 2012-06-06 19:15:36 UTC
Is this still happening on F16 with the 3.3 kernel update?

Comment 7 Josh Boyer 2012-07-11 17:49:13 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.